Package org.snpeff.pdb

# Class PdbUtil

java.lang.Object
org.snpeff.pdb.PdbUtil

public class PdbUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`PdbUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<org.biojava.nbio.structure.AminoAcid>`
`aminoAcids(org.biojava.nbio.structure.Chain chain)`
Get all AAs in a chain
`static double`
`distanceMin(org.biojava.nbio.structure.AminoAcid aa1, org.biojava.nbio.structure.AminoAcid aa2)`
Minimum distance between all atoms in two amino acids

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PdbUtil

public PdbUtil()

## Method Details

### aminoAcids

public static List<org.biojava.nbio.structure.AminoAcid> aminoAcids(org.biojava.nbio.structure.Chain chain)
Get all AAs in a chain

### distanceMin

public static double distanceMin(org.biojava.nbio.structure.AminoAcid aa1, org.biojava.nbio.structure.AminoAcid aa2)
Minimum distance between all atoms in two amino acids